# setDefaultCharacterEncoding

abstract fun setDefaultCharacterEncoding(@Nullable defaultCharacterEncoding: @Nullable String)

Sets the default character encoding to use. Note: Many JVM implementations support the setting of this attribute via system property on startup (namely, the `file.encoding` property). For JVMs where this is the case, setting the `file.encoding` property via setSystemProperties or similar will have no effect as this value will be overridden by the value specified by getDefaultCharacterEncoding.

#### Parameters

defaultCharacterEncoding

The default character encoding. Use null to use this JVM's default charset